## midori 0.2.4-3trisquel1

=== debian/changelog ===
midori (0.2.4-3trisquel1) slaine; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 May 2011 19:08:24 +0000

=== debian/control ===
Source: midori
Section: web
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 7.0.50),
 quilt (>= 0.46-7),
 lsb-release,
 libgtk2.0-dev (>= 2.10),
 libglib2.0-dev,
 libwebkit-dev (>= 1.1.15),
 libxml2-dev (>= 2.6),
# For waf:
 python,
# Optional dependencies:
 intltool,
 libidn11-dev,
 librsvg2-bin,
 libsqlite3-dev,
 libunique-dev (>= 1.0.6),
 python-docutils,
 libsoup2.4-dev (>= 2.25.2),
 libnotify-dev,
# For testing under xvfb:
 xvfb,
 xauth,
 xfonts-base
# Disabled optional dependencies:
Build-Conflicts: gtk-doc-tools,
 libgtksourceview2.0-dev (>= 2.0),
 libhildon-1-dev
Standards-Version: 3.8.4
Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
Vcs-Git: git://git.ryan52.info/git/midori
Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary

Package: midori
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
Recommends: gnome-icon-theme
Provides: www-browser
# For http://bugs.debian.org/522436 (missing symbols):
Conflicts: libsoup2.4-1 (<< 2.25.2)
Description: fast, lightweight graphical web browser
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.

Package: midori-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, midori (= ${binary:Version})
Description: fast, lightweight graphical web browser (debug symbols)
 Midori is a lightweight web browser based on WebKit.
 .
 Its features include:
 .
  * Full integration with GTK+2.
  * Fast rendering with WebKit.
  * Tabs, windows and session management.
  * Flexibly configurable Web Search.
  * User scripts and user styles support.
  * Straightforward bookmark management.
  * Customizable and extensible interface.
  * Support for extensions (written in C).
  * Custom context menu actions.
 .
 This package contains the debugging symbols for midori.

## midori 0.3.2

=== wscript ===
#! /usr/bin/env python
# WAF build script for midori
# This file is licensed under the terms of the expat license, see the file EXPAT.

import sys

# Waf version check, for global waf installs
try:
    from Constants import WAFVERSION
except:
    WAFVERSION='1.0.0'
if WAFVERSION[:3] != '1.5':
    print ('Incompatible Waf, use 1.5')
    sys.exit (1)

import Build
import Options
import Utils
import pproc as subprocess
import os
try:
    import UnitTest
except:
    import unittestw as UnitTest
import Task
from TaskGen import extension, feature, taskgen
import misc
from Configure import find_program_impl

major = 0
minor = 3
micro = 2

APPNAME = 'midori'
VERSION = str (major) + '.' + str (minor) + '.' + str (micro)

try:
    if os.path.isdir ('.git'):
        git = Utils.cmd_output (['git', 'describe'], silent=True)
        if git:
            VERSION = git.strip ()
except:
    pass

srcdir = '.'
blddir = '_build_'

def option_enabled (option):
    if getattr (Options.options, 'enable_' + option):
        return True
    if getattr (Options.options, 'disable_' + option):
        return False
    return True

def is_mingw (env):
    if 'CC' in env:
        cc = env['CC']
        if not isinstance (cc, str):
            cc = ''.join (cc)
        return cc.find ('mingw') != -1# or cc.find ('wine') != -1
    return False

# Compile Win32 res files to (resource) object files
def rc_file(self, node):
    rctask = self.create_task ('winrc')
    rctask.set_inputs (node)
    rctask.set_outputs (node.change_ext ('.rc.o'))
    self.compiled_tasks.append (rctask)
rc_file = extension ('.rc')(rc_file)
Task.simple_task_type ('winrc', '${WINRC} -o${TGT} ${SRC}', color='BLUE',
    before='cc cxx', shell=False)

def configure (conf):
    def option_checkfatal (option, desc):
        if hasattr (Options.options, 'enable_' + option):
            if getattr (Options.options, 'enable_' + option):
                Utils.pprint ('RED', desc + ' N/A')
                sys.exit (1)

    def dirname_default (dirname, default, defname=None):
        if getattr (Options.options, dirname) == '':
            dirvalue = default
        else:
            dirvalue = getattr (Options.options, dirname)
        if not defname:
            defname = dirname
        conf.define (defname, dirvalue)
        return dirvalue

    conf.check_tool ('compiler_cc')
    if option_enabled ('vala'):
        if find_program_impl (conf.env, 'valac'):
            conf.check_tool ('vala')
        else:
            conf.check_message ('program', 'valac', False, False)
            Utils.pprint ('RED', 'Vala is required for some extensions.')
            Utils.pprint ('RED', 'Pass --disable-vala to not build with Vala.')
            sys.exit (1)
    conf.check_tool ('glib2')

    if option_enabled ('userdocs'):
        conf.find_program ('rst2html.py', var='RST2HTML')
        # debian renames the executable, check that as well :(
        if not conf.env['RST2HTML']:
            conf.find_program ('rst2html', var='RST2HTML')
        if conf.env['RST2HTML']:
            user_docs = 'yes'
        else:
            option_checkfatal ('userdocs', 'user documentation')
            user_docs = 'N/A'
    else:
        user_docs = 'no '

    if option_enabled ('nls'):
        conf.check_tool ('intltool')
        if conf.env['INTLTOOL'] and conf.env['POCOM']:
            nls = 'yes'
        else:
            option_checkfatal ('nls', 'localization')
            nls = 'N/A'
    else:
        nls = 'no '
    conf.define ('ENABLE_NLS', [0,1][nls == 'yes'])

    if conf.find_program ('rsvg-convert', var='RSVG_CONVERT'):
        icons = 'yes'
    else:
        icons = 'no '

    if is_mingw (conf.env) or Options.platform == 'win32':
        conf.find_program ('windres', var='WINRC')
        conf.env['platform'] = 'win32'

    # This is specific to cross compiling with mingw
    if is_mingw (conf.env) and Options.platform != 'win32':
        if not 'AR' in os.environ and not 'RANLIB' in os.environ:
            conf.env['AR'] = os.environ['CC'][:-3] + 'ar'
        if conf.find_program (os.environ['CC'][:-3] + 'windres', var='WINRC'):
            os.environ['WINRC'] = os.environ['CC'][:-3] + 'windres'
        Options.platform = 'win32'
        # Make sure we don't have -fPIC in the CCFLAGS
        conf.env["shlib_CCFLAGS"] = []
        # Adjust file naming
        conf.env["shlib_PATTERN"] = 'lib%s.dll'
        conf.env['program_PATTERN'] = '%s.exe'
        # Use Visual C++ compatible alignment
        conf.env.append_value ('CCFLAGS', '-mms-bitfields')
        conf.env['staticlib_LINKFLAGS'] = []

        Utils.pprint ('BLUE', 'Mingw recognized, assuming cross compile.')

    dirname_default ('LIBDIR', os.path.join (conf.env['PREFIX'], 'lib'))
    if conf.env['PREFIX'] == '/usr':
        dirname_default ('SYSCONFDIR', '/etc')
    else:
        dirname_default ('SYSCONFDIR', os.path.join (conf.env['PREFIX'], 'etc'))
    dirname_default ('DATADIR', os.path.join (conf.env['PREFIX'], 'share'),
    # Use MDATADIR because DATADIR is a constant in objidl.h on Windows
        'MDATADIR')
    conf.undefine ('DATADIR')
    dirname_default ('DOCDIR', os.path.join (conf.env['MDATADIR'], 'doc'))
    if not APPNAME in conf.env['DOCDIR']:
        conf.env['DOCDIR'] += '/' + APPNAME
        conf.define ('DOCDIR', conf.env['DOCDIR'])

    if option_enabled ('apidocs'):
        conf.find_program ('gtkdoc-scan', var='GTKDOC_SCAN')
        conf.find_program ('gtkdoc-mktmpl', var='GTKDOC_MKTMPL')
        conf.find_program ('gtkdoc-mkdb', var='GTKDOC_MKDB')
        conf.find_program ('gtkdoc-mkhtml', var='GTKDOC_MKHTML')
        if conf.env['GTKDOC_SCAN'] and conf.env['GTKDOC_MKTMPL'] \
            and conf.env['GTKDOC_MKDB'] and conf.env['GTKDOC_MKHTML']:
            api_docs = 'yes'
        else:
            option_checkfatal ('apidocs', 'API documentation')
            api_docs = 'N/A'
    else:
        api_docs = 'no '

    def check_pkg (name, version='', mandatory=True, var=None, args=''):
        if not var:
            var = name.split ('-')[0].upper ()
        conf.check_cfg (package=name, uselib_store=var, args='--cflags --libs ' + args,
            atleast_version=version, mandatory=mandatory)
        return conf.env['HAVE_' + var]

    if option_enabled ('unique'):
        check_pkg ('unique-1.0', '0.9', False)
        unique = ['N/A', 'yes'][conf.env['HAVE_UNIQUE'] == 1]
        if unique != 'yes':
            option_checkfatal ('unique', 'single instance')
    else:
        unique = 'no '
    conf.define ('HAVE_UNIQUE', [0,1][unique == 'yes'])

    if option_enabled ('libnotify'):
        check_pkg ('libnotify', mandatory=False)
        libnotify = ['N/A','yes'][conf.env['HAVE_LIBNOTIFY'] == 1]
        if libnotify != 'yes':
            option_checkfatal ('libnotify', 'notifications')
    else:
        libnotify = 'no '
    conf.define ('HAVE_LIBNOTIFY', [0,1][libnotify == 'yes'])

    conf.check (lib='m', mandatory=True)
    check_pkg ('gmodule-2.0', '2.8.0', False)
    check_pkg ('gthread-2.0', '2.8.0', False)
    check_pkg ('gio-2.0', '2.16.0')
    args = ''
    if Options.platform == 'win32':
        args = '--define-variable=target=win32'
    elif sys.platform != 'darwin':
        check_pkg ('x11')
        # Pass /usr/X11R6/include for OpenBSD
        conf.check (header_name='X11/extensions/scrnsaver.h',
                    includes='/usr/X11R6/include', mandatory=False)
        conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
    check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
    check_pkg ('webkit-1.0', '1.1.1', args=args)
    check_pkg ('libsoup-2.4', '2.25.2')
    conf.define ('HAVE_LIBSOUP_2_25_2', 1)
    check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
    check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
    check_pkg ('libsoup-2.4', '2.29.91', False, var='LIBSOUP_2_29_91')
    check_pkg ('libxml-2.0', '2.6')
    check_pkg ('sqlite3', '3.0', True, var='SQLITE')

    if conf.env['HAVE_LIBSOUP_2_27_90']:
       idn = 'yes'
       conf.define ('HAVE_LIBIDN', 0)
    else:
        if option_enabled ('libidn'):
            check_pkg ('libidn', '1.0', False)
            idn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
            if idn != 'yes':
                option_checkfatal ('libidn', 'international domain names')
        else:
            idn = 'no '
        conf.define ('HAVE_LIBIDN', [0,1][idn == 'yes'])

    if option_enabled ('hildon'):
        if check_pkg ('hildon-1', mandatory=False, var='HILDON'):
            check_pkg ('libosso', var='HILDON')
            check_pkg ('hildon-1', '2.2', var='HILDON_2_2')
            check_pkg ('hildon-fm-2', var='HILDON_FM')
        hildon = ['N/A','yes'][conf.env['HAVE_HILDON'] == 1]
        if hildon != 'yes':
            option_checkfatal ('hildon', 'Maemo integration')
    else:
        hildon = 'no '
    conf.define ('HAVE_HILDON', [0,1][hildon == 'yes'])

    # Store options in env, since 'Options' is not persistent
    if 'CC' in os.environ: conf.env['CC'] = os.environ['CC'].split()
    conf.env['addons'] = option_enabled ('addons')
    conf.env['tests'] = option_enabled ('tests')
    conf.env['docs'] = option_enabled ('docs')
    if 'LINGUAS' in os.environ: conf.env['LINGUAS'] = os.environ['LINGUAS']

    conf.check (header_name='unistd.h')
    if not conf.env['HAVE_UNIQUE']:
        if Options.platform == 'win32':
            conf.check (lib='ws2_32')
        check_pkg ('openssl', mandatory=False)
        conf.define ('USE_SSL', [0,1][conf.env['HAVE_OPENSSL'] == 1])
        conf.define ('HAVE_NETDB_H', [0,1][conf.check (header_name='netdb.h')])
        conf.check (header_name='sys/wait.h')
        conf.check (header_name='sys/select.h')
        conf.check (function_name='inet_aton', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
        conf.check (function_name='inet_addr', header_name='sys/types.h sys/socket.h netinet/in.h arpa/inet.h')
    conf.define ('HAVE_OSX', int(sys.platform == 'darwin'))
    if Options.platform == 'win32':
        conf.env.append_value ('LINKFLAGS', '-mwindows')
        conf.env.append_value ('program_LINKFLAGS', ['-Wl,--out-implib=default/midori/libmidori.a', '-Wl,--export-all-symbols'])
    else:
        conf.check (header_name='signal.h')

    conf.define ('PACKAGE_VERSION', VERSION)
    conf.define ('PACKAGE_NAME', APPNAME)
    conf.define ('PACKAGE_BUGREPORT', 'https://bugs.launchpad.net/midori')
    conf.define ('GETTEXT_PACKAGE', APPNAME)

    conf.define ('MIDORI_MAJOR_VERSION', major)
    conf.define ('MIDORI_MINOR_VERSION', minor)
    conf.define ('MIDORI_MICRO_VERSION', micro)

    conf.write_config_header ('config.h')
    conf.env.append_value ('CCFLAGS', '-DHAVE_CONFIG_H -include config.h'.split ())
    debug_level = Options.options.debug_level
    compiler = conf.env['CC_NAME']
    if debug_level != '' and compiler != 'gcc':
        Utils.pprint ('RED', 'No debugging level support for ' + compiler)
        sys.exit (1)
    elif debug_level == '':
        debug_level = 'debug'
    if compiler == 'gcc':
        if debug_level == 'none':
            if 'CCFLAGS' in os.environ:
                conf.env.append_value ('CCFLAGS', os.environ['CCFLAGS'].split ())
            else:
                conf.env.append_value ('CCFLAGS', '-DG_DISABLE_CHECKS -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT'.split ())
        elif debug_level == 'debug':
            conf.env.append_value ('CCFLAGS', '-Wall -O0 -g'.split ())
        elif debug_level == 'full':
            # -Wdeclaration-after-statement
            # -Wmissing-declarations -Wmissing-prototypes
            # -Wwrite-strings -Wunsafe-loop-optimizations -Wmissing-include-dirs
            conf.env.append_value ('CCFLAGS',
                '-Wall -Wextra -O1 -g '
                '-Waggregate-return -Wno-unused-parameter '
                '-Wno-missing-field-initializers '
                '-Wredundant-decls -Wmissing-noreturn '

=== debian/changelog ===
midori (0.3.2-0.1ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #730340) Remaining changes:
    - debian/control:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev
    - debian/rules:
      + Change package query from libwebkit-dev to libwebkitgtk-dev

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 07 Mar 2011 19:35:52 -0600

midori (0.3.2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
    - fix bookmarks multiplication.                             closes: #613739
  * debian/patches:
    - 0001-Only-no-adblock-if-main-frame-in-provisional-state dropped, included
      upstream.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 20 Feb 2011 10:50:11 +0100

midori (0.3.0-1.3ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 05 Feb 2011 12:00:30 +0100

midori (0.3.0-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - replace hardening-includes build-dep by hardening-wrapper.
  * debian/rules:
    - enable hardening.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 04 Feb 2011 09:01:07 +0100

midori (0.3.0-1.2ubuntu1) natty; urgency=low

  * Merge from debian unstable. Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Angel Abad <angelabad@ubuntu.com>  Thu, 03 Feb 2011 09:08:58 +0100

midori (0.3.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches:
    - 0001-Only-no-adblock-if-main-frame-in-provisional-state added, fix
      adblock extension.                                        closes: #611682
  * debian/rules:
    - remove .lock-script in clean target.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 02 Feb 2011 21:01:25 +0100

midori (0.3.0-1.1ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Change build-depends from libwebkit-dev to libwebkitgtk-dev.
  * debian/patches/desktop-scheme-handler-types:
    - Dropped, fixed upstream.

 -- Artur Rona <ari-tczew@ubuntu.com>  Tue, 01 Feb 2011 20:27:20 +0100

midori (0.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules:
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS.
  * debian/rules:
    - remove waf stuff, midori waf has been updated so it's no longer needed
      to dynamically patch waf for HPPA.
    - install $(DISTRO)-config to /etc/xdg/midori to tune the default homepage
    - add -O1 to LDFLAGS.
  * debian/{Ubuntu,Debian}-config added, with default homepage setting.
  * debian/patches:
    - add-debian-search refreshed.
    - fix-serial-build dropped thanks to waf upgrade in midori.
  * debian/control:
    - drop quilt build-dep, useless now.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 31 Jan 2011 17:49:21 +0100

midori (0.2.7-1.1ubuntu2) natty; urgency=low

  * Change build-depends from libwebkit-dev to libwebkitgtk-dev.

 -- Stefano Rivera <stefanor@ubuntu.com>  Tue, 18 Jan 2011 09:31:00 +0000

midori (0.2.7-1.1ubuntu1) natty; urgency=low

  * debian/patches/desktop-scheme-handler-types:
    - Add the x-scheme-handler types for HTTP[S} (LP: #701973)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 12 Jan 2011 11:33:23 -0500

midori (0.2.7-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [Ryan Niebur]
  * New Upstream Version (Closes: #582213)
    - fixes segfault (Closes: #579118)
    - correct link to FAQ (Closes: #582512)
  * refresh patches
  * update copyright
  * use dpkg-maintscript-helper to remove old config file
    /etc/midori/extensions/libadblock.so (Closes: #573208)

  [Yves-Alexis Perez]
  * New 2.7 upstream release.
  * debian/watch edited to correctly track upstream versions.
  * debian/rules:
    - use --fail-missing in dh_install
  * debian/control:
    - add build-dep on valac to build certain extensions.
    - update standards version to 3.9.1

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 17 Aug 2010 22:11:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
- quilt (>= 0.46-7),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkit-dev (>= 1.1.15),
+ libwebkitgtk-dev,
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -20,15 +20,18 @@
  python-docutils,
  libsoup2.4-dev (>= 2.25.2),
  libnotify-dev,
+ valac,
 # For testing under xvfb:
  xvfb,
  xauth,
- xfonts-base
+ xfonts-base,
+ hardening-wrapper,
+ libxss-dev
 # Disabled optional dependencies:
 Build-Conflicts: gtk-doc-tools,
  libgtksourceview2.0-dev (>= 2.0),
  libhildon-1-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
 Vcs-Git: git://git.ryan52.info/git/midori
 Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary
@@ -36,6 +39,7 @@
 Package: midori
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
+Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,--as-needed -Wl,-O1

# waf, thank you _so_ much
export LINKFLAGS=$(LDFLAGS)
export CCFLAGS=$(CFLAGS)

export DEB_BUILD_HARDENING=1

CMD=$(shell echo $@ | sed 's/override_//')

LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkit[^ ]+).*/\1/')
GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
DISTRO=$(shell lsb_release -is)
CONFIG_FILE=debian/config/$(DISTRO).h
ifneq (0, $(shell test -e $(CONFIG_FILE); echo "$$?"))
	DISTRO=Debian
endif

%:
	dh $@

WAF=./waf

debian/presubj: debian/presubj.in
	@echo "presubj parameters:"
	@echo "Replacing %LIBWEBKIT_PKG% with $(LIBWEBKIT_PKG)"
	@echo "Replacing %GTKLAUNCHER% with $(GTKLAUNCHER)"
	test -f "/var/lib/dpkg/info/$(LIBWEBKIT_PKG).list"
	test -f "$(GTKLAUNCHER)"
	test -n "$(GTKLAUNCHER)"
	sed -e "s,%LIBWEBKIT_PKG%,$(LIBWEBKIT_PKG),g" -e "s,%GTKLAUNCHER%,$(GTKLAUNCHER),g" $@.in > $@

override_dh_install: debian/presubj
	$(CMD) --fail-missing

override_dh_auto_clean:
	$(WAF) --nocache distclean
	rm -rf _build_
	rm -rf .waf*
	rm -rf .lock-wscript

override_dh_auto_configure:
	$(WAF) --nocache configure --debug-level=none --prefix /usr

override_dh_auto_build:
	$(WAF) build --nocache -v

#override_dh_auto_test:
#	xvfb-run $(WAF) --nocache check

override_dh_auto_install:
	$(WAF) --nocache install --destdir debian/tmp
	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
	rm -f debian/tmp/usr/share/midori/res/mootools.js
	ln -s /usr/share/javascript/mootools/mootools.js debian/tmp/usr/share/midori/res/mootools.js
	install -m 0644 debian/$(DISTRO)-config debian/tmp/etc/xdg/midori/config

PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))

debian/midori.postinst: debian/midori.postinst.base
	sed "s/DEBIAN_WWW_ALTERNATIVES_PRIORITY/$(PRIORITY)/g" debian/midori.postinst.base > debian/midori.postinst

override_dh_installdeb: debian/midori.postinst
	$(CMD)

override_dh_strip:
	$(CMD) --dbg-package=midori-dbg

## midori 0.4.0

=== debian/changelog ===
midori (0.4.0-2build0.1) oneiric-proposed; urgency=low

  * No change rebuild to fix missing webkit symbol (LP: #949610)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 07 Mar 2012 22:22:35 -0600

midori (0.4.0-2) unstable; urgency=low

  * debian/patches:
    - 0001-Fix-for-Bug-819688 added, correctly restore tab panel when needed.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 06 Sep 2011 09:30:33 +0200

midori (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - bump webkit build-dep to 1.1.17.
    - bump valac build-dep to 0.10.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 02 Aug 2011 09:44:09 +0200

midori (0.3.6-2) unstable; urgency=low

  * debian/rules:
    - don't install upstream changelog twice.                   closes: #614692
  * debian/Debian-config:
    - update homepage to point to faq.html.
  * debian/control:
    - build-dep on libwebkitgtk-dev instead of libwebkit-dev.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 26 Jul 2011 00:24:23 +0200

midori (0.3.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - update vcs info.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 16 May 2011 08:32:33 +0200

midori (0.3.5-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add myself to uploaders...
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 02 May 2011 21:50:53 +0200

midori (0.3.3-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * debian/rules:
    - install ChangeLog file as changelog and remove the one installed by make
      install.
  * debian/control:
    - drop dpkg PreDepends.

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 15 Mar 2011 22:36:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Ryan Niebur <ryan@debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkitgtk-dev,
+ libwebkitgtk-dev (>= 1.1.17),
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -20,7 +20,7 @@
  python-docutils,
  libsoup2.4-dev (>= 2.25.2),
  libnotify-dev,
- valac,
+ valac (>= 0.10),
 # For testing under xvfb:
  xvfb,
  xauth,
@@ -31,15 +31,14 @@
 Build-Conflicts: gtk-doc-tools,
  libgtksourceview2.0-dev (>= 2.0),
  libhildon-1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.twotoasts.de/index.php?/pages/midori_summary.html
-Vcs-Git: git://git.ryan52.info/git/midori
-Vcs-Browser: http://git.ryan52.info/?p=midori;a=summary
+Vcs-Git: git://git.debian.org/collab-maint/midori.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/midori.git;a=summary
 
 Package: midori
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
-Pre-Depends: dpkg (>= 1.15.7.2)
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):

## midori 0.4.0-1~nnwkt1+5.0trisquel2

=== wscript ===
--- 
+++ 
@@ -28,8 +28,8 @@
 from Configure import find_program_impl
 
 major = 0
-minor = 3
-micro = 2
+minor = 4
+micro = 0
 
 APPNAME = 'midori'
 VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -88,28 +88,8 @@
         return dirvalue
 
     conf.check_tool ('compiler_cc')
-    if option_enabled ('vala'):
-        if find_program_impl (conf.env, 'valac'):
-            conf.check_tool ('vala')
-        else:
-            conf.check_message ('program', 'valac', False, False)
-            Utils.pprint ('RED', 'Vala is required for some extensions.')
-            Utils.pprint ('RED', 'Pass --disable-vala to not build with Vala.')
-            sys.exit (1)
+    conf.check_tool ('vala')
     conf.check_tool ('glib2')
-
-    if option_enabled ('userdocs'):
-        conf.find_program ('rst2html.py', var='RST2HTML')
-        # debian renames the executable, check that as well :(
-        if not conf.env['RST2HTML']:
-            conf.find_program ('rst2html', var='RST2HTML')
-        if conf.env['RST2HTML']:
-            user_docs = 'yes'
-        else:
-            option_checkfatal ('userdocs', 'user documentation')
-            user_docs = 'N/A'
-    else:
-        user_docs = 'no '
 
     if option_enabled ('nls'):
         conf.check_tool ('intltool')
@@ -216,12 +196,13 @@
                     includes='/usr/X11R6/include', mandatory=False)
         conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
     check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
-    check_pkg ('webkit-1.0', '1.1.1', args=args)
+    check_pkg ('webkit-1.0', '1.1.17', args=args)
     check_pkg ('libsoup-2.4', '2.25.2')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
     check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
     check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libsoup-2.4', '2.29.91', False, var='LIBSOUP_2_29_91')
+    conf.define ('LIBSOUP_VERSION', conf.check_cfg (modversion='libsoup-2.4'))
     check_pkg ('libxml-2.0', '2.6')
     check_pkg ('sqlite3', '3.0', True, var='SQLITE')
 
@@ -310,3 +291,15 @@
                 '-Waggregate-return -Wno-unused-parameter '
                 '-Wno-missing-field-initializers '
                 '-Wredundant-decls -Wmissing-noreturn '
+                '-Wshadow -Wpointer-arith -Wcast-align '
+                '-Winline -Wformat-security -fno-common '
+                '-Winit-self -Wundef -Wdeclaration-after-statement '
+                '-Wmissing-format-attribute -Wnested-externs '
+            # -DGSEAL_ENABLE
+                '-DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED '
+                '-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED '
+                '-DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED '
+                '-DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE'.split ())
+    if debug_level == 'full':
+        conf.env.append_value ('VALAFLAGS', '--enable-checking'.split ())
+    elif debug_level == 'none':

=== debian/changelog ===
midori (0.4.0-1~nnwkt1+5.0trisquel2) dagda; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 09 Aug 2011 20:36:39 +0000

midori (0.4.0-1~nnwkt1) natty; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.
  * debian/control:
    - bump webkit build-dep to 1.1.17.
    - bump valac build-dep to 0.10.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Tue, 02 Aug 2011 15:08:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,

## midori 0.4.2

=== wscript ===
--- 
+++ 
@@ -29,16 +29,18 @@
 
 major = 0
 minor = 4
-micro = 0
+micro = 2
 
 APPNAME = 'midori'
-VERSION = str (major) + '.' + str (minor) + '.' + str (micro)
+VERSION = VERSION_FULL = str (major) + '.' + str (minor) + '.' + str (micro)
+VERSION_SUFFIX = ' (%s)' % VERSION
 
 try:
     if os.path.isdir ('.git'):
         git = Utils.cmd_output (['git', 'describe'], silent=True)
         if git:
-            VERSION = git.strip ()
+            VERSION_FULL = git.strip ()
+            VERSION_SUFFIX = VERSION_FULL.replace (VERSION, '')
 except:
     pass
 
@@ -164,13 +166,28 @@
             atleast_version=version, mandatory=mandatory)
         return conf.env['HAVE_' + var]
 
+    def check_version (given_version, major, minor, micro):
+        if '.' in given_version:
+            given_major, given_minor, given_micro = given_version.split ('.')
+        else:
+            given_major, given_minor, given_micro = given_version
+        return int(given_major) >  major or \
+               int(given_major) == major and int(given_minor) >  minor or \
+               int(given_major) == major and int(given_minor) == minor and int(given_micro) >= micro
+
     if option_enabled ('unique'):
-        check_pkg ('unique-1.0', '0.9', False)
+        if option_enabled('gtk3'): unique_pkg = 'unique-3.0'
+        else: unique_pkg = 'unique-1.0'
+        check_pkg (unique_pkg, '0.9', False)
         unique = ['N/A', 'yes'][conf.env['HAVE_UNIQUE'] == 1]
         if unique != 'yes':
             option_checkfatal ('unique', 'single instance')
+            conf.define ('UNIQUE_VERSION', 'No')
+        else:
+            conf.define ('UNIQUE_VERSION', conf.check_cfg (modversion=unique_pkg))
     else:
         unique = 'no '
+        conf.define ('UNIQUE_VERSION', 'No')
     conf.define ('HAVE_UNIQUE', [0,1][unique == 'yes'])
 
     if option_enabled ('libnotify'):
@@ -178,14 +195,18 @@
         libnotify = ['N/A','yes'][conf.env['HAVE_LIBNOTIFY'] == 1]
         if libnotify != 'yes':
             option_checkfatal ('libnotify', 'notifications')
+            conf.define ('LIBNOTIFY_VERSION', 'No')
+        else:
+            conf.define ('LIBNOTIFY_VERSION', conf.check_cfg (modversion='libnotify'))
     else:
         libnotify = 'no '
+        conf.define ('LIBNOTIFY_VERSION', 'No')
     conf.define ('HAVE_LIBNOTIFY', [0,1][libnotify == 'yes'])
 
     conf.check (lib='m', mandatory=True)
     check_pkg ('gmodule-2.0', '2.8.0', False)
     check_pkg ('gthread-2.0', '2.8.0', False)
-    check_pkg ('gio-2.0', '2.16.0')
+    check_pkg ('gio-2.0', '2.22.0')
     args = ''
     if Options.platform == 'win32':
         args = '--define-variable=target=win32'
@@ -195,29 +216,36 @@
         conf.check (header_name='X11/extensions/scrnsaver.h',
                     includes='/usr/X11R6/include', mandatory=False)
         conf.check (lib='Xss', libpath='/usr/X11R6/lib', mandatory=False)
-    check_pkg ('gtk+-2.0', '2.10.0', var='GTK', args=args)
-    check_pkg ('webkit-1.0', '1.1.17', args=args)
-    check_pkg ('libsoup-2.4', '2.25.2')
+    if option_enabled ('gtk3'):
+        if option_enabled ('addons') and not check_version (conf.env['VALAC_VERSION'], 0, 13, 2):
+            Utils.pprint ('RED', 'Vala 0.13.2 or later is required ' \
+                'to build with GTK+ 3 and extensions.\n' \
+                'Pass --disable-addons to build without extensions.\n' \
+                'Pass --disable-gtk3 to build with extensions and GTK+ 2.')
+            sys.exit (1)
+        check_pkg ('gtk+-3.0', '3.0.0', var='GTK', mandatory=False)
+        check_pkg ('webkitgtk-3.0', '1.1.17', var='WEBKIT', mandatory=False)
+        if not conf.env['HAVE_GTK'] or not conf.env['HAVE_WEBKIT']:
+            Utils.pprint ('RED', 'GTK+3 was not found.\n' \
+                'Pass --disable-gtk3 to build without GTK+3.')
+            sys.exit (1)
+        if check_version (conf.check_cfg (modversion='webkitgtk-3.0'), 1, 5, 1):
+            check_pkg ('javascriptcoregtk-1.0', '1.5.1', args=args)
+        conf.env.append_value ('VALAFLAGS', '-D HAVE_GTK3')
+    else:
+        check_pkg ('gtk+-2.0', '2.10.0', var='GTK')
+        check_pkg ('webkit-1.0', '1.1.17', args=args)
+        if check_version (conf.check_cfg (modversion='webkit-1.0'), 1, 5, 1):
+            check_pkg ('javascriptcoregtk-1.0', '1.5.1', args=args)
+    conf.env['HAVE_GTK3'] = option_enabled ('gtk3')
+    check_pkg ('libsoup-2.4', '2.27.90')
     conf.define ('HAVE_LIBSOUP_2_25_2', 1)
-    check_pkg ('libsoup-2.4', '2.27.90', False, var='LIBSOUP_2_27_90')
+    conf.define ('HAVE_LIBSOUP_2_27_90', 1)
     check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libsoup-2.4', '2.29.91', False, var='LIBSOUP_2_29_91')
     conf.define ('LIBSOUP_VERSION', conf.check_cfg (modversion='libsoup-2.4'))
     check_pkg ('libxml-2.0', '2.6')
     check_pkg ('sqlite3', '3.0', True, var='SQLITE')
-
-    if conf.env['HAVE_LIBSOUP_2_27_90']:
-       idn = 'yes'
-       conf.define ('HAVE_LIBIDN', 0)
-    else:
-        if option_enabled ('libidn'):
-            check_pkg ('libidn', '1.0', False)
-            idn = ['N/A','yes'][conf.env['HAVE_LIBIDN'] == 1]
-            if idn != 'yes':
-                option_checkfatal ('libidn', 'international domain names')
-        else:
-            idn = 'no '
-        conf.define ('HAVE_LIBIDN', [0,1][idn == 'yes'])
 
     if option_enabled ('hildon'):
         if check_pkg ('hildon-1', mandatory=False, var='HILDON'):
@@ -256,50 +284,16 @@
     else:
         conf.check (header_name='signal.h')
 
-    conf.define ('PACKAGE_VERSION', VERSION)
     conf.define ('PACKAGE_NAME', APPNAME)
     conf.define ('PACKAGE_BUGREPORT', 'https://bugs.launchpad.net/midori')
     conf.define ('GETTEXT_PACKAGE', APPNAME)
 
+    conf.define ('MIDORI_VERSION', VERSION)
     conf.define ('MIDORI_MAJOR_VERSION', major)
     conf.define ('MIDORI_MINOR_VERSION', minor)
     conf.define ('MIDORI_MICRO_VERSION', micro)
 
-    conf.write_config_header ('config.h')
     conf.env.append_value ('CCFLAGS', '-DHAVE_CONFIG_H -include config.h'.split ())
     debug_level = Options.options.debug_level
     compiler = conf.env['CC_NAME']
     if debug_level != '' and compiler != 'gcc':
-        Utils.pprint ('RED', 'No debugging level support for ' + compiler)
-        sys.exit (1)
-    elif debug_level == '':
-        debug_level = 'debug'
-    if compiler == 'gcc':
-        if debug_level == 'none':
-            if 'CCFLAGS' in os.environ:
-                conf.env.append_value ('CCFLAGS', os.environ['CCFLAGS'].split ())
-            else:
-                conf.env.append_value ('CCFLAGS', '-DG_DISABLE_CHECKS -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT'.split ())
-        elif debug_level == 'debug':
-            conf.env.append_value ('CCFLAGS', '-Wall -O0 -g'.split ())
-        elif debug_level == 'full':
-            # -Wdeclaration-after-statement
-            # -Wmissing-declarations -Wmissing-prototypes
-            # -Wwrite-strings -Wunsafe-loop-optimizations -Wmissing-include-dirs
-            conf.env.append_value ('CCFLAGS',
-                '-Wall -Wextra -O1 -g '
-                '-Waggregate-return -Wno-unused-parameter '
-                '-Wno-missing-field-initializers '
-                '-Wredundant-decls -Wmissing-noreturn '
-                '-Wshadow -Wpointer-arith -Wcast-align '
-                '-Winline -Wformat-security -fno-common '
-                '-Winit-self -Wundef -Wdeclaration-after-statement '
-                '-Wmissing-format-attribute -Wnested-externs '
-            # -DGSEAL_ENABLE
-                '-DG_ENABLE_DEBUG -DG_DISABLE_DEPRECATED '
-                '-DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED '
-                '-DGTK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED '
-                '-DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE'.split ())
-    if debug_level == 'full':
-        conf.env.append_value ('VALAFLAGS', '--enable-checking'.split ())
-    elif debug_level == 'none':

=== debian/changelog ===
midori (0.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/midori.{preinst,postinst,postrm}:
    - handle adblock configuration file rename.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 Nov 2011 14:26:25 +0100

midori (0.4.1-2) unstable; urgency=low

  * debian/control:
    - update libwebkitgtk-dev build-dep to 1.4.3
  * As a side effect, the rebuild against webkit 1.6.1 fix midori crashing
    because of missing webkit_web_view_get_selected_text()      closes: #646198

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 22 Oct 2011 14:46:34 +0200

midori (0.4.1-1) unstable; urgency=low

  * New upstream release.
    - fix middle click on back/forward button.                  closes: #644840
    - correctly clear private data on quit when asked.          closes: #644658
  * debian/patches:
    - 0001-Fix-for-Bug-819688 dropped, included upstream.
  * debian/control:
    - drop libjs-mootools from depends, it's not needed anymore.
  * debian/rules:
    - don't remove mootools.js since it's not even shipped anymore.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 10 Oct 2011 08:24:46 +0200

## midori 0.4.3

=== debian/changelog ===
midori (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 19 Dec 2011 00:26:46 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 CMD=$(shell echo $@ | sed 's/override_//')
 
-LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkit[^ ]+).*/\1/')
+LIBWEBKIT_PKG=$(shell dpkg-query -p libwebkitgtk-dev | grep Depends | sed -r 's/.*(libwebkitgtk[^ ]+).*/\1/')
 GTKLAUNCHER=$(shell dpkg-query -L $(LIBWEBKIT_PKG) | grep GtkLauncher)
 DISTRO=$(shell lsb_release -is)
 CONFIG_FILE=debian/config/$(DISTRO).h
@@ -55,8 +55,6 @@
 override_dh_auto_install:
 	$(WAF) --nocache install --destdir debian/tmp
 	rm -f debian/tmp/usr/share/doc/midori/COPYING debian/tmp/usr/share/doc/midori/TRANSLATE
-	rm -f debian/tmp/usr/share/midori/res/mootools.js
-	ln -s /usr/share/javascript/mootools/mootools.js debian/tmp/usr/share/midori/res/mootools.js
 	install -m 0644 debian/$(DISTRO)-config debian/tmp/etc/xdg/midori/config
 
 PRIORITY=$(shell sed -r -e '/DEBIAN_WWW_ALTERNATIVES_PRIORITY/ !d' -e 's/.* ([^ ]*)$$/\1/' $(CONFIG_FILE))
@@ -69,3 +67,7 @@
 
 override_dh_strip:
 	$(CMD) --dbg-package=midori-dbg
+
+override_dh_installchangelogs:
+	rm -f debian/midori/usr/share/doc/midori/ChangeLog
+	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/midori/([\d\.]+)/midori-([\d.]+).tar.bz2

## midori 0.4.3+dfsg

=== wscript ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 major = 0
 minor = 4
-micro = 2
+micro = 3
 
 APPNAME = 'midori'
 VERSION = VERSION_FULL = str (major) + '.' + str (minor) + '.' + str (micro)
@@ -230,7 +230,7 @@
                 'Pass --disable-gtk3 to build without GTK+3.')
             sys.exit (1)
         if check_version (conf.check_cfg (modversion='webkitgtk-3.0'), 1, 5, 1):
-            check_pkg ('javascriptcoregtk-1.0', '1.5.1', args=args)
+            check_pkg ('javascriptcoregtk-3.0', '1.5.1', args=args)
         conf.env.append_value ('VALAFLAGS', '-D HAVE_GTK3')
     else:
         check_pkg ('gtk+-2.0', '2.10.0', var='GTK')
@@ -243,6 +243,7 @@
     conf.define ('HAVE_LIBSOUP_2_27_90', 1)
     check_pkg ('libsoup-2.4', '2.29.3', False, var='LIBSOUP_2_29_3')
     check_pkg ('libsoup-2.4', '2.29.91', False, var='LIBSOUP_2_29_91')
+    check_pkg ('libsoup-2.4', '2.37.1', False, var='LIBSOUP_2_37_1')
     conf.define ('LIBSOUP_VERSION', conf.check_cfg (modversion='libsoup-2.4'))
     check_pkg ('libxml-2.0', '2.6')
     check_pkg ('sqlite3', '3.0', True, var='SQLITE')
@@ -296,4 +297,3 @@
     conf.env.append_value ('CCFLAGS', '-DHAVE_CONFIG_H -include config.h'.split ())
     debug_level = Options.options.debug_level
     compiler = conf.env['CC_NAME']
-    if debug_level != '' and compiler != 'gcc':

=== debian/changelog ===
midori (0.4.3+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Repack to extract waf script (Closes: 645191)
  * debian/waf-unpack
    - add to describe how to extract waf script
  * debian/rules
    - add get-orig-source target

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 24 Nov 2012 17:33:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ryan Niebur <ryan@debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
  libgtk2.0-dev (>= 2.10),
  libglib2.0-dev,
- libwebkitgtk-dev (>= 1.1.17),
+ libwebkitgtk-dev (>= 1.4.3),
  libxml2-dev (>= 2.6),
 # For waf:
  python,
@@ -38,7 +38,7 @@
 
 Package: midori
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11, libjs-mootools
+Depends: ${shlibs:Depends}, ${misc:Depends}, dbus-x11
 Recommends: gnome-icon-theme
 Provides: www-browser
 # For http://bugs.debian.org/522436 (missing symbols):

=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,22 @@
 %:
 	dh $@
 
-WAF=./waf
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
+upstream_pkg = "midori"
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --rename --download-current-version --destdir=.
+	tar -xjf $(pkg)_$(upstream_version).orig.tar.bz2
+	rm -f $(pkg)_$(upstream_version).orig.tar.bz2
+	mv $(upstream_pkg)-$(upstream_version) $(pkg)_$(dfsg_version).orig
+	$(CURDIR)/debian/waf-unpack $(pkg)_$(dfsg_version).orig
+	rm $(pkg)_$(dfsg_version).orig/waf
+	tar -cjf $(CURDIR)/../$(pkg)_$(dfsg_version).orig.tar.bz2 $(pkg)_$(dfsg_version).orig
+	rm -r $(pkg)_$(dfsg_version).orig
+
+WAF=WAFDIR=waf-modules ./waf-unpacked
 
 debian/presubj: debian/presubj.in
 	@echo "presubj parameters:"
@@ -42,6 +57,7 @@
 	rm -rf _build_
 	rm -rf .waf*
 	rm -rf .lock-wscript
+	rm -rf `find waf-modules -name "*.pyc"`
 
 override_dh_auto_configure:
 	$(WAF) --nocache configure --debug-level=none --prefix /usr

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://archive.xfce.org/src/apps/midori/([\d\.]+)/midori-([\d.]+).tar.bz2

## midori 0.4.3-1~oowkt1+5.5trisquel1

=== debian/changelog ===
midori (0.4.3-1~oowkt1+5.5trisquel1) brigantia; urgency=low

  * Search engines configured for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 10 Mar 2012 15:02:24 +0000

midori (0.4.3-1~oowkt1) oneiric; urgency=low

  [Yves-Alexis Perez]
  * New upstream release.

 -- Stéphane Marguet (Stemp) <smarguet@gmail.com>  Mon, 19 Dec 2011 10:21:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: midori
 Section: web
 Priority: optional
-Maintainer: Ryan Niebur <ryan@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper (>= 7.0.50),
  lsb-release,
